- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

# sub_automaton.hh File Reference

This file provides the extraction of sub automaton. More...

Include dependency graph for sub_automaton.hh:

This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Namespaces
namespace | vcsn
## Functions
template<typename A, typename T, typename StatesSet>
Element< A, T > | sub_automaton (const Element< A, T > &a, const StatesSet &s, bool check_states=true)
| Returns a fresh automaton that is the sub-automaton defined by a set.
template<typename A, typename T, typename StatesSet>
void | sub_automaton_here (Element< A, T > &a, const StatesSet &s, bool check_states=true)
| Select a sub-automaton into a given automaton.

## Detailed Description

This file provides the extraction of sub automaton.

Author:
  Yann Régis-Gianas <yann@lrde.epita.fr>

Date:
  Tue Jun 24 20:37:59 2003

See also:
  sub_automaton(), sub_automaton_here()

Definition in file sub_automaton.hh.